export default {
  SET_LOADING(state, val) {
    state.showLoading = val
  },
  SET_CURDATE(state, date) {
    state.curDate = date
  },
  SET_COMMUNITY_HEALTH(state, val) {
    state.communityHealth = val
  },
  SET_THEME(state, val) {
    state.theme = val
  },
  SET_CHECKER(state, val) {
    state.checker = val
  },
  SET_COMMUNITY(state, val) {
    state.community = val
  },
  SET_RECTIFY(state, val) {
    state.rectify = val
  },
  SET_PHONE(state, val) {
    state.phone = val
  },
  SET_LINK_RATE(state, val) {
    state.linkRate = val
  },
  SET_SEAT(state, val) {
    state.seat = val
  },
  SET_REPAIR_NUM(state, val) {
    state.repairNum = val
  },
  SET_MAINTAINER_NUM(state, val) {
    state.maintainerNum = val
  },
  SET_SMART_INFO(state, data) {
    state.smartInfo = data
  },
  SET_TASK_LIST(state, data) {
    state.taskList = data
  },
  SET_DISASTER_INFO(state, data) {
    state.disasterInfo = data
  },
  SET_DISASTER_COMMUNITY(state, val) {
    state.disasterCommunity = val
  },
  SET_DISTRICT_COMMUNITY(state, data) {
    state.districtCommunity = data
  },
  SET_COMMUNITY_TYPE(state, data) {
    state.communityType = data
  },
  SET_SUMMARY_INFO(state, data) {
    state.summaryInfo = data
  }
}
